import uuid

from datetime import datetime

from pydantic import BaseModel, ConfigDict

from . import to_camel


class LoginHistory(BaseModel):
    id_: uuid.UUID
    user_id: uuid.UUID
    client_id: uuid.UUID
    date: datetime
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)
