import uuid

from pydantic import BaseModel, ConfigDict

from brewman.schemas import to_camel


class UserLink(BaseModel):
    id_: uuid.UUID
    name: str
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
