import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';

import { CostCentre } from '../core/cost-centre';

import { CostCentreService } from './cost-centre.service';

@Injectable({
  providedIn: 'root',
})
export class CostCentreListResolver {
  constructor(private ser: CostCentreService) {}

  resolve(): Observable<CostCentre[]> {
    return this.ser.list();
  }
}
