import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';

import { RateContractItem } from '../rate-contract-item';

export class RateContractDetailDatasource extends DataSource<RateContractItem> {
  constructor(private data: Observable<RateContractItem[]>) {
    super();
  }

  connect(): Observable<RateContractItem[]> {
    return this.data;
  }

  disconnect() {}
}
