from pydantic import BaseModel, ConfigDict

from brewman.schemas import to_camel

from . import Daf


class AttendanceType(BaseModel):
    id_: int
    name: str | None = None
    value: Daf | None = None
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
