import { Product } from '../core/product';

export class RateContractItem {
  id: string | undefined;
  sku: Product;
  price: number;

  public constructor(init?: Partial<RateContractItem>) {
    this.sku = new Product();
    this.price = 0;
    Object.assign(this, init);
  }
}
